@import '../theme';

$item-height: 26px;
$visible-items: 7.5;
$items-container-height: $item-height * $visible-items;

.paginator {
  width: 100%;
  margin-top: 12px;
  justify-content: flex-start;
  align-items: center;

  &__control {
    $parent: &;

    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    text-align: center;
    border-radius: 3px;
    border: 1px solid #deedf4;
    margin-right: 3px;
    background-position: center center;
    background-repeat: no-repeat;
    color: $cool-blue-two;

    &:hover {
      background-color: #fff1e4;
      border-color: #ffe4cc;
      color: $orange;
    }

    &_mute {
      border-color: $white-six;
      color: $sep-on-white;
      pointer-events: none;
    }

    &Icon {
      width: 13px;
      height: 12px;

      svg {
        display: block;
      }
    }
  }

  &__total {
    display: inline-block;
  }

  &__rangeDropdown {
    $parent: &;

    margin: 0 14px;

    &Button {
      &:hover {
        #{$parent} {
          &Label {
            color: $orange;
            border-color: $orange;
          }

          &Arrow {
            // background-image: url('./assets/arrow-drop-hover.svg');
          }
        }
      }
    }

    &Label {
      border-bottom: 1px dotted $windows-blue-six;
      color: $windows-blue-six;
    }

    &Arrow {
      width: 8px;
      height: 5px;
      margin-left: 2px;
      transform-origin: 4px 1px;
      transition: transform 150ms linear;

      .dropdown_opened & {
        transform: rotate(180deg);
      }
    }

    &Content {
      margin-bottom: 6px;
      padding: 3px 0 5px;
      border-radius: 3px;
      background-color: #fff;
      box-shadow: 0 2px 4px 0 $white-six;
      border: solid 1px $pinkish-grey;
    }

    &ItemsContainer {
      max-height: $items-container-height;
      overflow: auto;
    }

    &Item {
      display: block;
      height: $item-height;
      padding: 3px 12px;
      color: $med-grey-txt;
      cursor: default;
      white-space: nowrap;

      &:hover {
        text-decoration: none;
      }
    }

    &GroupTitle {
      white-space: nowrap;
      display: block;
      font-size: 12px;
      padding: 8px 12px;
    }

    &ItemInline {
      display: inline;
      color: $med-grey-txt;
      padding: 4px 10px;
      cursor: default;

      &:hover {
        text-decoration: none;
      }
    }

    &Item,
    &ItemInline {
      &_current {
        font-weight: bold;
        background-color: $pale-grey;
      }

      &_notCurrent:hover {
        background-color: #fff1e4;
        color: $orange;
      }
    }

    &Separator {
      width: 100%;
      height: 0;
      border-bottom: 1px dotted #ddd;
      margin: 4px 0;
    }
  }
}
